> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visitorquery.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET check session overall result

> Get the overall result for a specific session by analysing all entries. Keep in mind that this is an overall score of the entire session and not the state of the last result (user's current state). If you only care if the user was detected being a bot, using proxies or VPNs during the session, this is the endpoint to use



## OpenAPI

````yaml https://visitorquery.com/api/schema get /results/{projectId}/{sessionId}/general
openapi: 3.0.2
info:
  title: VisitorQuery API
  version: 1.0.0
servers:
  - url: https://visitorquery.com/api/v1
security: []
tags:
  - name: Projects
    description: Projects
  - name: Checks
    description: Retrieve check results
  - name: Plans
    description: Current plan details
paths:
  /results/{projectId}/{sessionId}/general:
    get:
      tags:
        - Detect
      summary: GET check session overall result
      description: >-
        Get the overall result for a specific session by analysing all entries.
        Keep in mind that this is an overall score of the entire session and not
        the state of the last result (user's current state). If you only care if
        the user was detected being a bot, using proxies or VPNs during the
        session, this is the endpoint to use
      operationId: getSessionGeneral
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      scoreBot:
                        type: number
                        minimum: 0
                        maximum: 1
                      scoreProxyVpn:
                        type: number
                        minimum: 0
                        maximum: 1
                    required:
                      - scoreBot
                      - scoreProxyVpn
                    nullable: true
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: The developer API key from your account

````